Subject: Re: bug#32375: Bug Gzip v1.9

From: Johannes Przybilla <[email-masked]>
Date: Wed, 8 Aug 2018 09:43:47 +0200

I agree that the POSIX standard is quite restrictive in this respect.
However I believe that is for a good reason.
Performing non-atomic memory operations on static objects in a signal handler can cause problems with reentrancy.
This can lead to undefined behaviour for example in the case of nested signal handler calls that update the same static object.

> Am 08.08.2018 um 06:56 schrieb Paul Eggert <[email-masked]>:
> 
> On 08/07/2018 03:50 PM, Antonio Diaz Diaz wrote:
>> I find posix too restrictive in this respect. 
> 
> Yes, me too.
> 
> The file name length limit has been in gzip since forever, and is a
> separate issue (e.g. it happens regardless of signals). So if it is to
> be fixed it should be a separate bug number.
>